<script>
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer variant="light-purple-100" class="cta-block-wrapper slp-py-96">
    <SlpRow class="cta-block">
      <SlpCard
        v-for="card in data.cards"
        :key="card.header"
        class="cta-block__card"
        :link="card.link.url"
        :data-ga-name="card.link.data_ga_name ?? 'learn more'"
        :data-ga-location="card.link?.data_ga_location ?? 'body'"
      >
        <SlpIcon
          size="lg"
          variant="marketing"
          :name="card.icon"
          class="slp-mb-8"
        />
        <SlpTypography variant="heading4" class="slp-mb-24">{{
          card.header
        }}</SlpTypography>
        <SlpTypography
          v-if="card.description"
          tag="div"
          variant="body1"
          class="slp-mb-24"
          ><div v-html="$md.render(card.description)"></div
        ></SlpTypography>
        <SlpButton variant="tertiary" class="cta-button" :href="card.link.url">
          {{ card.link.text }}
          <SlpIcon
            name="chevron-lg-right"
            variant="product"
            alt="Chevron Right Icon"
          />
        </SlpButton>
      </SlpCard>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.cta-block-wrapper {
  position: relative;

  &:after {
    background: #f6f3fe;
    content: '';
    left: -50vw;
    height: 100%;
    position: absolute;
    top: 0;
    width: 200vw;
    z-index: -1;
  }
}
.cta-block {
  display: grid;
  grid-template-columns: 1fr;
  padding-bottom: 80px;
  @media (max-width: $breakpoint-lg) {
    grid-template-columns: 1fr;
  }
  gap: 32px;
  &__card {
    display: flex !important;
    background: white;
    flex-direction: column;
    align-items: flex-start;
    padding: 32px;
    box-sizing: border-box;
    border-radius: 24px;
    transition: all 0.3s ease-in-out;
    .cta-button {
      padding-left: 0;
    }
  }
}
</style>
